#keep level 2 fight #9
from eventAPI import *
from APIUtils import *

rtKeep2Flag9=0

def fireEvent(e):
   global rtKeep2Flag9
   rtKeep2Flag9 = getTag(e, "rtKeep2Flag9")
   if (rtKeep2Flag9 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep2Flag9 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Dorendor", 2, 0, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep2Flag9
   Keep0Flag1 = 1
   setTag(e, "rtKeep2Flag9", rtKeep2Flag9)
